springboot踩过的坑

无效的源发行版: 1.8 && -source 1.6 中不支持 multi-catch 语句

原因:idea 2016.2.4的javac版本默认是1.8,如果本地sdk版本是1.7就会出现这个问题

解决办法:

1 alt+ctrl+s 设置 module里面选择1.7

2 alt+ctrl+shift+s project structure 里面的modules language level选择7

3 settings Java compile - additional command line parameters 增加:

-source 7

net.sf.json找不到的问题

原因: maven在解析json-lib时,由于镜像中的json库中带有jdk15xx等版本,所以必须要增加了maven配置

<classifier>jdk15</classifier>


原因:java compile

解决办法:

推荐阅读更多精彩内容